/*
 *   Copyright (C) 2003 Crissi <crissi99@gmx.de>
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 */


#ifndef CurrentUserInfo_H
#define CurrentUserInfo_H


#include <qstring.h>
#include <qprocess.h>
#include <qobject.h>

/**
 * @short class to determine current system user
 * @author Crissi <crissi99@gmx.de>
 */
class CurrentUserInfo : public QObject{
Q_OBJECT
public:
     /**
     * Default Constructor
     */
    CurrentUserInfo();

    /**
     * Default Destructor
     */
    ~CurrentUserInfo();
	 
	 QString getCurrentUser();
	 QString getCurrentGroup();
private:
	QString username;
	QString groupname;
	QProcess *p1,*p2;

public slots:
	void readFromStdoutUser();
	void readFromStdoutGroup();
	
private slots:
	void slotGetGroup();
	void slotGetUser();
};

#endif
