/*
*   Copyright (C) 2003 Crissi <crissi99@gmx.de>
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*/

#ifndef _kpum_H_
#define _kpum_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kmainwindow.h>
#include <kmenubar.h>
#include <qwidget.h>
#include <kaboutdata.h>
#include <kaction.h>
#include <qpoint.h>
#include <qsize.h>
#include "useradmin.h"

/**
 * @short Application Main Window
 * @author Crissi <crissi99@gmx.de>
 * @version 0.2
 */
class KPum : public KMainWindow {
		Q_OBJECT
	public:
		/**
		 * Default Constructor
		 */
		KPum();
		void initAction();
		void initStatusbar();


		/**
		 * Default Destructor
		 */
		virtual ~KPum();

	protected:
		KMenuBar *mainMenu;

	protected slots:
		void slotShowToolbar();
		void slotShowStatusbar();
		void slotKeyBindings();
		void slotConfigToolbars();
		void helpClicked();
		void slotConfigNotifications();
		void quitClicked();

	private:
		KAction *newUserAction;
		KAction *saveAction;
		KAction *deleteUserAction;
		KToggleAction* showToolbarAction; //< toggle toolbar on/off
		KToggleAction* showStatusbarAction; //< toggle statusbar on/off
		UserAdmin *user_admin;
		QPoint WindowPos;
		QSize WindowSize;
};

#endif // _kpum_H_
