/*
*   Copyright (C) 2003 Crissi <crissi99@gmx.de>
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*/

#include "useradmin.h"

#ifndef UserAdminPref_H
#define UserAdminPref_H

#include "useradminbasepref.h"

/**
 * @short class for preserences dialog
 * @author Crissi <crissi99@gmx.de>
 */
class UserAdminPref : public UserAdminBasePref {
		Q_OBJECT
	public:

		/**
		* Default Constructor
		*/
		UserAdminPref();

		/**
		* Default Destructor
		*/
		~UserAdminPref();

	public slots:
		void slotSystemChanged();
		void slotFilesChanged();
		void slotNotifyChanged();
		void slotCleanChanged();
		void useDefaultUserToggled(bool);
		void useDefaultGroupToggled(bool);
		void useDefaultHomeDirectoryToggled(bool);
		void accept();
	private:
		void loadConfig();
		void saveConfig();

		// global config
		KConfig *config;
};

#endif
